import { LastUpdateInfo } from "./last-update-info";
export interface BaseProps {
    id: string;
    lastUpdateInfo?: LastUpdateInfo;
}
export declare abstract class Entity<T extends BaseProps> {
    private readonly _id;
    private _lastUpdateInfo?;
    constructor(entity: T);
    get id(): string;
    get lastUpdateInfo(): LastUpdateInfo;
    set lastUpdateInfo(lastUpdateInfo: LastUpdateInfo);
    abstract toObject(): unknown;
}
